package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.RegionManagerSelectedTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 服务单元批量划定参数
 * @Author: CaoZixuan
 * @Date: 2023-08-11
 */
public class ServiceScopeParam {

    @ApiModelProperty("服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "请提供划定服务单元")
    @Range(min = 1L, message = "请提供划定服务单元")
    private Long serviceUnitId;

    @ApiModelProperty("派单id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "请提供划定派单")
    @Range(min = 1L, message = "请提供划定派单")
    private Long crmId;

    @ApiModelProperty("大区经理指定方式")
    @NotNull(message = "请提供大区经理指定方式")
    private RegionManagerSelectedTypeEnum leadType;

    @ApiModelProperty("大区经理id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long leadId;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public Long getCrmId() {
        return crmId;
    }

    public void setCrmId(Long crmId) {
        this.crmId = crmId;
    }

    public RegionManagerSelectedTypeEnum getLeadType() {
        return leadType;
    }

    public void setLeadType(RegionManagerSelectedTypeEnum leadType) {
        this.leadType = leadType;
    }

    public Long getLeadId() {
        return leadId;
    }

    public void setLeadId(Long leadId) {
        this.leadId = leadId;
    }
}
